Subject: Summary: CASSCF/CASPT2 question

From: Wibke Sudholt <[email-masked]>
Date: Mon, 29 Sep 1997 14:10:53 +0200 (MET DST)

Dear CCLers,

some time ago (sorry for my late reply, I was on a conference in the meantime)
I posted a question regarding a systematic criterion for the inspection of CASSCF
and CASPT2 calculations which I will try to summarize now.

I do not get many answers (nevertheless, thanks very much to all who responded)
and most of them were dealing with the choose of the right active space - but
so called "chemical intuition" seem to be no very "systematic" criterion for me.
Since I do not absolutely want to change the active space, I would still be
happy to get more answers for my original question printed below. Our intermediate
solution is to use state average calculations (the states lie very close together
in CASSCF but not in CASPT2) although we first do not want to choose this "way
out". As someone was interested in, the calculations were done with MOLCAS 3.

Dipl.-Chem. Wibke Sudholt
Institute of Theoretical Chemistry
Heinrich-Heine-University Duesseldorf
Germany
[email-masked]

The original question was:

????????????????????????????????????????????????????????????????????????????????

Dear CCLers,

perhaps someone of you can help me with this problem:

I am doing excited state CASPT2 calculations with a CASSCF reference on
a medium size organic molecule. Sometimes different starting orbitals
lead to different CASSCF results probably because of several wavefunction
minima. I suppose that this can be caused by an unsufficient active space,
but I would run out of time and computational resources if I enlarge it.
I also do not want to use state average calculations. So I need a systematic
criterion to choose safely the "right" results. I am thinking of the lowest
CASSCF energy (variation principle) or the highest weight of the CASSCF
reference in the CASPT2 calculation (lowest perturbation). What would you
prefer? Or are there other criterions? Can I compare calculations with
different active spaces in the same way? I hope this question is not too
stupid, but the subject is still relatively new to me.

Any suggestions or pointers to the literature would be welcome. I will try
to summerize. Thank you very much in advance

Dipl.-Chem. Wibke Sudholt
Institute of Theoretical Chemistry
Heinrich-Heine-University Duesseldorf
Germany
[email-masked]

????????????????????????????????????????????????????????????????????????????????

The answers were (except of calls for a summary - I hope I have not forgotten
somebody):

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Dear Wibke,
	Firstly you can virtually guarantee that using a different set
of orbitals as input for the CAS will lead to different
wavefunctions. (although CAS is a FCI-type procedure the wavefunction
will only be invarient w.r.t. orbital rotations WITHIN your CAS space-
i.e. rotations w.r.t. core/virtual space which would change the spaces
are important and should be "eliminated" through the choice of
orbitals to put in your active space) 

	On how to chose the correct orbitals/active space size this is
still one of the black arts in modern computational chemistry, there
are many texts which cover this question. The simplest solution is to
use uhf natural orbitals and include those orbitals which have
populations 1.98>n>0.01 but this is totally arbitrary and not that
useful for reactivity where you may be interested in the formation of
particular a bond(s). In this case the best way is to go empirical
using your favourite molecular visualiser to look at your guess
orbitals, and include the "right things" (e.g. sigma_g/sigma_u for a single
bond dissociation). Other that that symmetry can be of use in making
these choices - and i assume that i savailable if you intend to be
running caspt2 afterwards. 

the main point i'd make is be very very sure you have the right active
space [size + orbitals] before starting to run any pt2 calcn's - as
they will only be reliable as the reference.

noj

-- 
Dr. Noj Malcolm			
Theory Group,			
Dept. of Chemistry,		
University of Manchester,	
Oxford Road,			
Manchester.			
M13 9PL			

e-mail [email-masked]                  
inter-bat http://mchhpi.ch.man.ac.uk/~mbdtsnm/

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Dear Mr. Sudholt!

I have some experience in the CASSCF calculations and probably would
be able to be helpful.

First of all, which program do you use? I hope it's MOLPRO, which is
really cute in CASSCF. You can also control many things (especially when
your system has some symmetry) with MOLPRO.

The problem with the active space is common. Really, one should know the
problem (molecule, # of orbitals/electrons) to judge. If you send me this 
information, it would be very helpful.

In general, the solution is to keep your eye on the chemical meaning
of the orbitals. Fro example, when studying a bond dissociation, in
the region of the PES with small bond distances the mentioned bond
could go down in energy and would be switched with higher lying 
orbitals. Usually the reason for choosing CASSCF is a clear idea
on which orbitals would be mixed/correlated in the system/processes
under study, but definitely not the variational principle -- using
CASSCF, one looks for "static" correlation, without which the process
just cannot be described properly.

So if you will to discuss the problem in details, please, send a
brief description of the problem to me.

Sincerely,
Dmitry Khoroshun.
[email-masked]

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!